<?php

namespace App\Traits;

use Illuminate\Http\JsonResponse;
use DB;

trait Autenticable
{
    protected function valida_token($token)
    {

        if(is_null($token)) {
            return $token;
        }
        $datos = DB::table('token_usuario')
            ->select('fcreacion', 'fclaudica', 'rut_usuario', 'rut_empresa', 'id_empresa')
            ->where('token', '=', $token)
            ->first();

        return $datos;
    }

    protected function tokenInvalido()
    {
        return new JsonResponse(['mensaje' => 'Token Invalido'], 401);
    }
}
